    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * ------------
    028 * Library.java
    029 * ------------
    030 * (C) Copyright 2001-2004, by Thomas Morgner.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   -;
    034 *
    035 * $Id: Library.java,v 1.5 2005/11/08 14:24:34 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 *
    040 */
    041
    042
    043package org.jfree.ui.about;
    044
    045/**
    046 * Library specification moved to base package to allow more control
    047 * over the boot process.
    048 *
    049 * @author David Gilbert
    050 * @deprecated shadow class for deprecation
    051 */
    052public class Library extends org.jfree.base.Library {
    053
    054    /**
    055     * Creates a new library reference.
    056     *
    057     * @param name    the name.
    058     * @param version the version.
    059     * @param licence the licence.
    060     * @param info    the web address or other info.
    061     */
    062    public Library(final String name, final String version, final String licence, final String info) {
    063        super(name, version, licence, info);
    064    }
    065
    066    /**
    067     * Constructs a library reference from a ProjectInfo object.
    068     *
    069     * @param project  information about a project.
    070     */
    071    public Library(final ProjectInfo project) {
    072
    073        this(project.getName(), project.getVersion(),
    074             project.getLicenceName(), project.getInfo());
    075    }
    076}